Bug 88241 - Links point back to bugzilla.redhat.com, leading to inadvertant site changes, registrations, and user frustrations
Links point back to bugzilla.redhat.com, leading to inadvertant site changes,...
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.17
All Linux
medium Severity low (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
index.cgi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-07 23:46 EDT by Kevin R. Pierce
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-08 11:11:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin R. Pierce 2003-04-07 23:46:38 EDT
Description of problem:
A couple links on index.cgi are setup to point back at redhat, meaning that 
unless they are corrected, users of new installations may end up changing to 
the redhat bugzilla deployment.

Steps to Reproduce:
1. Install Bugzilla
2. Login as Maintainer and set urlbase
3. Logout and browse to index.cgi and check out the links in the lower right 
corner.
    
Actual results:
The links for [relogin] and [add account] are unneccesarily encoded for 
redhat.com.

Additional info:
We fixed the issue in index.html.tmpl, by removing the absolute reference to 
bugzilla.redhat.com
Comment 1 Kevin R. Pierce 2003-04-08 00:00:15 EDT
Here are the actual items from index.cgi
New Account: https://bugzilla.redhat.com/bugzilla/createaccount.cgi
Log In: https://bugzilla.redhat.com/bugzilla/query.cgi?GoAheadAndLogIn=1

I believe they should instead be:
New Account: http://createaccount.cgi
Log In: http://query.cgi?GoAheadAndLogIn=1

I do see that redhat is using https, where as we're using http, so I'm not sure 
how that gets handled.
Comment 2 David Lawrence 2003-04-08 11:11:16 EDT
I have hardcoded some of the URL so as to force the use of https for logging in
since this keeps the users password from being passed as plain text. You will
need to fix the hard coded links to match those of your own. Or you can just
remove the  
https://bugzilla.redhat.com/bugzilla/ part completely leaving only
query.cgi?GoAheadAndLogIn=1 which will work for all installs.

Note You need to log in before you can comment on or make changes to this bug.